#!/bin/bash
# Create an EPUB file.
if [ ! -d output ]; then
  mkdir output
fi
rm -rf output/*
cp ../../common/epub.css.xml ./epub.css.xml
mkdir output/images
cp -r ./images/* ./output/images/
xsltproc --xinclude --nonet --novalid \
  ../../customization/epub.xsl main.xml
#php ../../tools/select_images.sh  
cd output; zip -X0 main.epub mimetype
zip -r -X9 main.epub META-INF OEBPS;  
java -jar ../../../tools/epubcheck-3.0.1/epubcheck-3.0.1.jar \
  main.epub