#!/bin/bash
# Convert DocBook 5.0 to a ".rtf" file
# using pandoc.

rm -rf output/*
xmllint --xinclude --noent ./main.xml > tmp.xml
php ../../tools/prep_pandoc.php tmp.xml
xsltproc --nonet --novalid --output tmp.xml \
  ../../customization/db5to4-withinfo.xsl tmp.xml
xsltproc --nonet --novalid --output tmp.xml \
  ../../customization/prep_pandoc.xsl ./tmp.xml
pandoc -t rtf -f docbook --normalize \
  -o output/main.rtf tmp.xml

