<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">
  <!-- import the epub3 chunk file  -->
  <xsl:import href="../docbook-xsl/epub3/chunk.xsl"/>
  <xsl:param name="use.extensions">0</xsl:param>
  <xsl:param name="use.id.as.filename">1</xsl:param>
  <!-- set base directory -->
  <xsl:param name="base.dir">./output/OEBPS/</xsl:param>
  <!-- set custom CSS file -->
  <xsl:param name="docbook.css.source"></xsl:param>
  <xsl:param name="custom.css.source">epub.css.xml</xsl:param>
  <!-- callouts -->
  <xsl:param name="callout.unicode">1</xsl:param>
  <!-- no navigation in .epub -->
  <xsl:param name="suppress.navigation">1</xsl:param> 
  <xsl:param name="generate.index">1</xsl:param>
  <!-- how the links in the index are created, this is the default -->
  <xsl:param name="index.links.to.section">0</xsl:param>
  <xsl:param name="make.valid.html">1</xsl:param>
  <xsl:param name="section.autolabel">0</xsl:param>
  <xsl:param name="section.label.includes.component.label">0</xsl:param>
  <xsl:param name="chunker.output.indent">yes</xsl:param>
  <xsl:param name="chunker.output.encoding">UTF-8</xsl:param>
  <!--xsl:param name="chunk.first.sections">0</xsl:param-->
  <!-- set below on for validation -->
  <xsl:param name="chunk.tocs.and.lots">1</xsl:param>
  <!-- turn this on? -->
  <xsl:param name="chunk.separate.lots">0</xsl:param>
  <xsl:param name="html.extra.head.links">0</xsl:param>
  <xsl:param name="generate.manifest">0</xsl:param>
  <!-- don't use graphics with notes etc -->
  <xsl:param name="admon.graphics">0</xsl:param>
  <xsl:param name="admon.textlabel">1</xsl:param>
  <!-- turn horizontal rule on and off -->
  <xsl:param name="header.rule">0</xsl:param>
  <xsl:param name="footer.rule">0</xsl:param>
  <xsl:param name="funcsynopsis.style">ansi</xsl:param>
  <xsl:param name="glossentry.show.acronym">yes</xsl:param>
  <xsl:param name="glossary.sort">1</xsl:param>
  <xsl:param name="refentry.xref.manvolnum">0</xsl:param>
  <xsl:param name="show.comments">0</xsl:param>
  <!-- The default ToC -->
  <xsl:param name="toc.section.depth" select="2"/>
  <xsl:param name="generate.toc">
    book  toc,title,figure,table,example,equation
    article toc,title,figure,table,example,equation
  </xsl:param>
  <!-- remove body attributes-->
  <xsl:template name="body.attributes"></xsl:template>
  <!-- Don't do something like the following -->
  <!--xsl:template match="d:section[@role = 'NotInToc']" mode="toc"/-->
 </xsl:stylesheet>
