<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">
  <!-- Reference the sheet being overridden  -->
  <xsl:import href="../docbook-xsl/html/onechunk.xsl"/>
  <xsl:param name="chunker.output.indent">yes</xsl:param>
  <xsl:param name="chunker.output.encoding">UTF-8</xsl:param>
  <xsl:param name="base.dir">./output</xsl:param>
  <xsl:param name="chunker.output.doctype-public">-//W3C//DTD HTML
    4.01 Transitional//EN</xsl:param>
  <xsl:param name="chunker.output.doctype-system">
    http://www.w3.org/TR/html4/loose.dtd</xsl:param>
  <xsl:param name="use.id.as.filename">1</xsl:param>
  <!--xsl:param name="make.valid.html">1</xsl:param-->
  <xsl:param name="section.label.includes.component.label">1</xsl:param>
  <!-- CSS related -->
  <xsl:param name="html.stylesheet">sample.css</xsl:param>
  <xsl:param name="docbook.css.source"></xsl:param>
  <xsl:param name="make.clean.html">1</xsl:param>
  <xsl:param name="phrase.propagates.style">1</xsl:param>
  <xsl:param name="css.decoration">0</xsl:param> 
  <!-- ToC related -->
  <xsl:param name="toc.section.depth">2</xsl:param>
  <!--xsl:param name="generate.toc"></xsl:param-->
  <!-- index related -->
  <xsl:param name="generate.index">1</xsl:param>
  <xsl:param name="index.links.to.section">0</xsl:param>
  <!-- callouts -->
  <xsl:param name="callout.unicode">1</xsl:param>
  <xsl:param name="callout.graphics">0</xsl:param>
  <!-- Appearance of Notes, Tips -->
  <xsl:param name="admon.graphics">1</xsl:param>
  <xsl:param name="admon.textlabel">0</xsl:param>
  <xsl:param name="admon.graphics.extension">.png</xsl:param>
  <xsl:param name="admon.graphics.path">images/</xsl:param>
  <!-- turn on/off numbering for chapters and sections -->
  <xsl:param name="section.autolabel">1</xsl:param>
  <!-- glossary related-->
  <xsl:param name="glossterm.auto.link">1</xsl:param>
  <xsl:param name="glossentry.show.acronym">1</xsl:param>
  <xsl:param name="glossary.sort">1</xsl:param>
  <!-- turn on for draft version -->
  <xsl:param name="show.comments">0</xsl:param>
  <xsl:param name="draft.mode">no</xsl:param>
  <xsl:param name="draft.watermark.image">images/draft.png</xsl:param>
  <!-- remove body attributes -->
  <xsl:template name="body.attributes"></xsl:template>
</xsl:stylesheet>
